>> I'm using Squid 2.4 STABLE6.
>
> Yet , cache.log below seems to indicate that you are using
> 2.5.STABLE4, explanations ?


Oops! Yes, I am using 2.5 STABLE 4.
Sorry about that - I have 2 machines with squid running on them
and I quoted from the wrong machine!

Regards,
Manu